## org.opengis.geometry.coordinate
Interface Position

All Known Subinterfaces:
  DirectPosition, Point

    @UML(identifier="GM_Position",
         specification=ISO_19107)
    public interface Position

A type consisting of either a direct position or of a point from which a direct position shall be obtained. The use of this data type allows the identification of a position either directly as a coordinate (variant direct) or indirectly as a point (variant indirect).

- In the variant direct case, uses `getPosition()` method.
- In the variant indirect case, cast this position to a `Point`.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`DirectPosition` `getPosition()` Returns the direct position.

Method Detail

### getPosition

    @UML(identifier="direct",
         obligation=CONDITIONAL,
         specification=ISO_19107)
    DirectPosition getPosition()

  Returns the direct position.

  Returns:
    The direct position.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.